/*	
 *	clipacm.h
 *
 *	USB CDC ACM (Communication Device Class Abstract Control Model)
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2007 Naoyuki Sawa
 *
 *	* Tue Oct 30 17:22:39 JST 2007 Naoyuki Sawa
 *	- 1st [XB
 *	- clipuioW[ɂč쐬܂B
 *	  ֐̎dlclipuioƊSɓȂ̂ŁAȂ܂B
 *	  clipuio.h̃RgQƂĂB
 */
#ifndef __CLIP_ACM_H__
#define __CLIP_ACM_H__

/****************************************************************************
 *	
 ****************************************************************************/

#define CDCACM_PRODUCT_ID	(PCE_PRODUCT_ID+0x17)	/* d֎~!! */

/****************************************************************************
 *	
 ****************************************************************************/

void cdcacm_start(int rxcap, int txcap, void (*rxdone)(), void (*txdone)());
void cdcacm_stop();
void cdcacm_reset();
int cdcacm_recv(void* dat, int len);
int cdcacm_send(const void* dat, int len);
typedef struct _CDCACMSTAT {
	int rxlen;
	int rxlog;
	int rxerr;
	int txlen;
	int txlog;
} CDCACMSTAT;
void cdcacm_stat(CDCACMSTAT* stat);

#endif /*__CLIP_ACM_H__*/
